#! /bin/sh
sudo -S bash -c "apt install bash-completion elinks git zsh curl neovim fortunes fortunes-de fortunes-debian-hints fortunes-off cowsay byobu command-not-found apt-file htop python3-venv python3 locales man mc && \
	apt-file update && \
	update-command-not-found"

# vim related
mkdir -p $HOME/.vim/autoload $HOME/.vim/bundle $HOME/.config/nvim && \
	git clone https://github.com/VundleVim/Vundle.vim.git $HOME/.vim/bundle/Vundle.vim &&
	curl -RLSso $HOME/.vimrc https://github.com/schtobia/systemsettings/raw/master/vimrc &&
	curl -RLSso $HOME/.config/nvim/init.vim https://github.com/schtobia/systemsettings/raw/master/init.vim &&
	nvim +PluginInstall +qall

# python3 related
sudo -S bash -c "curl --tlsv1.2 -RLfs https://bootstrap.pypa.io/get-pip.py | python2 &&\
	curl --tlsv1.2 -RLfs https://bootstrap.pypa.io/get-pip.py | python3"

# zsh related
git clone https://github.com/schtobia/oh-my-zsh.git $HOME/.oh-my-zsh && \
	curl -RLSso $HOME/.profile https://github.com/schtobia/systemsettings/raw/master/profile && \
	curl -RLSso $HOME/.zshrc https://github.com/schtobia/systemsettings/raw/master/zshrc && \
	curl -RLSso $HOME/.oh-my-zsh/custom/aliases.zsh https://github.com/schtobia/systemsettings/raw/master/aliases.zsh &&
	curl -RLSso $HOME/.oh-my-zsh/custom/init.zsh https://github.com/schtobia/systemsettings/raw/master/init.zsh

#git related
curl -RLSso $HOME/.gitconfig https://github.com/schtobia/systemsettings/raw/master/gitconfig
